Bug 1255021 - default root_pass not used if password field is an empty string
default root_pass not used if password field is an empty string
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.4
Unspecified Unspecified
unspecified Severity medium (vote)
: 6.1.5
: --
Assigned To: Katello Bug Bin
Tazim Kolhar
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 08:51 EDT by Bryan Kearney
Modified: 2017-02-23 14:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 04:19:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 8739 None None None 2016-04-22 11:41 EDT

  None (edit)
Description Bryan Kearney 2015-08-19 08:51:20 EDT
Provisioning a new host is not using the root_pass set in Administer -> Settings if an empty string is set as password either on the host itself or in a hostgroup.

The default password should be used even if the root password is an empty string as you can not reset it to NULL in the web-ui.
Comment 1 Bryan Kearney 2015-08-19 08:51:22 EDT
Created from redmine issue http://projects.theforeman.org/issues/8739
Comment 3 Bryan Kearney 2015-08-19 09:05:58 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/8739 has been closed
-------------
Dominic Cleal
Applied in changeset commit:db17629709a649bd49b83d60422b905c9db965be.
Comment 5 Tazim Kolhar 2015-11-27 01:28:35 EST
VERIFIED:
# rpm -qa | grep foreman
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.10-1.el7sat.noarch
foreman-gce-1.7.2.47-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
hp-bl490cg6-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-2.noarch
foreman-debug-1.7.2.47-1.el7sat.noarch
foreman-compute-1.7.2.47-1.el7sat.noarch
foreman-vmware-1.7.2.47-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.2.4-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.5-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.13-1.el7sat.noarch
hp-bl490cg6-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-bl490cg6-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-ovirt-1.7.2.47-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.22-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.14-1.el7sat.noarch
foreman-selinux-1.7.2.17-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
foreman-postgresql-1.7.2.47-1.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.24-1.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el7sat.noarch
foreman-libvirt-1.7.2.47-1.el7sat.noarch
foreman-1.7.2.47-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.15.7-1.el7sat.noarch
foreman-proxy-1.7.2.6-1.el7sat.noarch

steps:
tried to create hostgroup with empty password string
default password is used
Comment 7 errata-xmlrpc 2015-12-15 04:19:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622

Note You need to log in before you can comment on or make changes to this bug.